Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.handlers
Class RuntimeStateHandler

    java.lang.Object
      oracle.ifs.core.handlers.AuditEventHandlerAdapter
          oracle.ifs.core.handlers.RuntimeStateHandler

All Implemented Interfaces:
  AuditEventHandler

    public class RuntimeStateHandler

extends AuditEventHandlerAdapter

RuntimeStateHandler processes AuditEvents posted on RuntimeState objects.

Field Summary
`static java.lang.String` | `PROPERTY_NAME_SERVICE_TIMEOUT_PERIOD` Handler property used to set the service timeout period.

Constructor Summary
`RuntimeStateHandler()`

Method Summary
`void` | `handleEventPosted(AuditEventHandlerContext context)` Called when at least one registered event is posted.
`void` | `handleInitialize(AuditEventHandlerContext context)` Initializes this handler.
`protected void` | `handleRuntimeStateEvents(AuditEventHandlerContext context, LibrarySession session)` Handle events by performing the requested operations.
`protected void` | `handleRuntimeStateEvents(AuditEventHandlerContext context, LibrarySession session, EventHandlerAgent.InternalHandler ihandler)` Handle events by performing the requested operations.
`void` | `handleTimerExpired(AuditEventHandlerContext context)` Called when the timer for this AuditEventHandler expires.
`protected void` | `markAbandonedRuntimeStateDisposed(LibrarySession session)` Mark any RuntimeObjects that have been abandoned with a DISPOSEDATE.
`protected void` | `processEvent(AuditEventHandlerContext context, LibrarySession session, EventHandlerAgent.InternalHandler ihandler, AuditEvent event)` Process an event.
`protected AuditEvent[]` | `selectEvents(AuditEventHandlerContext context, long minId, long maxId, int batchSize)` Selects all events for this handler's AuditSpecification, up to and including the specified maximum event ID, filtered by the specified event types.

Methods inherited from class oracle.ifs.core.handlers.AuditEventHandlerAdapter
`deleteEvents, handleDispose, selectEvents, selectMaximumEventId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME_SERVICE_TIMEOUT_PERIOD

    public static final java.lang.String PROPERTY_NAME_SERVICE_TIMEOUT_PERIOD

  Description copied from class: `RuntimeStateHandler`
  Handler property used to set the service timeout period.

  See Also:
    Constant Field Values

Constructor Detail

### RuntimeStateHandler

    public RuntimeStateHandler()

Method Detail

### handleInitialize

    public void handleInitialize(AuditEventHandlerContext context)
                          throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Initializes this handler.

  Called immediately after construction.

  Specified by:
    `handleInitialize` in interface `AuditEventHandler`
  Overrides:
    `handleInitialize` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleEventPosted

    public void handleEventPosted(AuditEventHandlerContext context)
                           throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when at least one registered event is posted.

  Specified by:
    `handleEventPosted` in interface `AuditEventHandler`
  Overrides:
    `handleEventPosted` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    public void handleTimerExpired(AuditEventHandlerContext context)
                            throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when the timer for this AuditEventHandler expires.

  Specified by:
    `handleTimerExpired` in interface `AuditEventHandler`
  Overrides:
    `handleTimerExpired` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### markAbandonedRuntimeStateDisposed

    protected void markAbandonedRuntimeStateDisposed(LibrarySession session)
                                              throws IfsException

  Description copied from class: `RuntimeStateHandler`
  Mark any RuntimeObjects that have been abandoned with a DISPOSEDATE.

  Parameters:
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails

### handleRuntimeStateEvents

    protected void handleRuntimeStateEvents(AuditEventHandlerContext context,
                                            LibrarySession session)
                                     throws IfsException

  Description copied from class: `RuntimeStateHandler`
  Handle events by performing the requested operations.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails

### handleRuntimeStateEvents

    protected void handleRuntimeStateEvents(AuditEventHandlerContext context,
                                            LibrarySession session,
                                            EventHandlerAgent.InternalHandler ihandler)
                                     throws IfsException

  Description copied from class: `RuntimeStateHandler`
  Handle events by performing the requested operations.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `session` - the session context
    `ihandler` - the InternalHandler context (running within EventHandlerAgent)
  Throws:
    `IfsException` - if the operation fails

### selectEvents

    protected AuditEvent[] selectEvents(AuditEventHandlerContext context,
                                        long minId,
                                        long maxId,
                                        int batchSize)
                                 throws IfsException

  Description copied from class: `RuntimeStateHandler`
  Selects all events for this handler's AuditSpecification, up to and including the specified maximum event ID, filtered by the specified event types.

  If a null or empty array is specified for the event types, all types are selected.

  The array of returned events is sorted by event ID.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `minId` - the minimum event ID to select
    `maxId` - the maximum event ID to select
    `batchSize` - the batch size
  Returns:
    the events that meet the search criteria
  Throws:
    `IfsException` - if the operation fails

### processEvent

    protected void processEvent(AuditEventHandlerContext context,
                                LibrarySession session,
                                EventHandlerAgent.InternalHandler ihandler,
                                AuditEvent event)

  Description copied from class: `RuntimeStateHandler`
  Process an event.

  Delete the event after processing if it was applicable to the current runtime context.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `session` - the session context
    `ihandler` - the InternalHandler context (running within EventHandlerAgent)
    `event` - the event to process

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD